#ifndef mame_h
#define mame_h

#include "mameparser.h"

// Launch an external process and pipe stdout & stderr to the give file (create it)
BOOL execCommandToOutputFile(char *command, char *workingDir, char *outputFilename, DWORD *exitCode);
// Launch an external process
BOOL execCommand(char *command, char *workingDir, DWORD *exitCode, BOOL launchingMame);

// Fill in the exists field for each game in gameList
void checkExistance();

// Build the filtered game list
void buildDisplayGameList();

// Launch the given game in mame
BOOL launchMame(GAME *game, DWORD *exitCode);

// Used to qsort the game list
int qsortCompare(const void *g1, const void *g2);

// Find the index into the game display list of the given romname
int findDisplayGameIndex(char *romname);

#endif
